<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "accmast";
$trandb = 'expvendortran';
$formname = "Expense Print";
$file = "expense_print.php";
$grpcode = '012';

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);


if (isset($_POST["view"])) {


    $name = $_POST['name'];

    if (!empty($name)) {
        $namecond = " and `accode`='$name' ";
    }


    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE grpcode='$grpcode' $namecond ORDER BY `name`") or die(mysqli_error($conn));

    include("includes/linkshead.php");
    ?>
    </head>

    <body>
        <div class="container">
            <?php include("includes/head_rep.php") ?>
            <div class="row">
                <div class="col-lg-12">
                    <table class="table table-condensed table-bordered">
                        <tr class="mySearchTr">
                            <th>Sr</th>
                            <th>Name</th>
                            <th>Unit</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {

                            echo "<tr style='background:#fffae5'>";
                            echo "<td>$ctr</td>";
                            echo "<td>$pmain[name]</td>";
                            echo "<td>$pmain[unit]</td>";
                            echo "</tr>";
                            $ctr++;

                            $ctr2 = 0;
                            $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `accode`='$pmain[accode]'") or die(mysqli_error($conn));

                            if (mysqli_num_rows($gettran) > 0) {

                                echo "<tr style='height:10px;'>";
                                echo "<td colspan='25'>";
                                echo "<table style='width:100%;' id='tabital' class='table table-condensed table-hover table-bordered'>";
                                echo "<thead>";
                                echo "<th width='5%;' style='background:#c4beb6' class='dtype'>Sr</th>";
                                echo "<th width='8%'  style='background:#c4beb6' class='dtype' colspan='2'>Vendor</th>";
                                echo "</thead>";
                                
                                
                                while ($tran = mysqli_fetch_array($gettran)) {

                                    $gitem = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode` = '$tran[vendor]'") or die(mysqli_error($conn));
                                    $fitem = mysqli_fetch_array($gitem);

                                    $ctr2++;
                                    echo "<tr>";
                                    echo "<td>$ctr2</td>";
                                    echo "<td colspan='2'>$fitem[name]</td>";
                                    echo "</tr>";
                                }
                                echo "</table>";
                                echo "</tr>";
                            }

                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>

    </html>
    <?php
}
if (isset($_POST["excel"])) {


    $name = $_POST['name'];


    if (!empty($name)) {
        $namecond = " and `accode`='$name' ";
    }

    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` where grpcode='$grpcode' $namecond") or die(mysqli_error($conn));

    $contents .= "Sr.,Name\n";

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {

        $contents .= $ctr . ",";
        $contents .= $pmain['name'] . "\n";
        $ctr++;
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>